Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WindowState

    java.lang.Object
      com.bea.netuix.servlets.controls.Capability
          com.bea.netuix.servlets.controls.window.WindowState

All Implemented Interfaces
  Serializable

    public class WindowState

extends Capability
implements Serializable

Represents a state the window may be in.
This control extends `Capability` as the user may need to be entitled to set the window into this state.

See Also
  Serialized Form

Constructor Summary
`WindowState(String name)`

Method Summary
`Object` | `clone()`
`boolean` | `isMaximized()` convenience method.
`boolean` | `isMinimized()` convenience method.
`boolean` | `isNormal()` convenience method.

Methods inherited from class com.bea.netuix.servlets.controls.Capability
`equals, equals, getName, isEntitlementsEnabled, setEntitlementsEnabled, setName, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowState

    public WindowState(String name)

Parameters
  `name` - of this state - must be unique

Method Detail

### isMinimized

    public boolean isMinimized()

  convenience method.

### isMaximized

    public boolean isMaximized()

  convenience method.

### isNormal

    public boolean isNormal()

  convenience method.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.